Skip to main content
PATCH
/
api
/
v1
/
:team_slug
/
:app_slug
/
redirects
/
:redirect_id
Error
A valid request URL is required to generate request examples
{
  "data": {
    "id": "<string>",
    "item_id": "<string>",
    "locale": "<string>",
    "new_slug": "<string>",
    "old_slug": "<string>",
    "type": "product"
  },
  "details": [
    "<string>"
  ],
  "success": true
}

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

redirect_id
string
required

Redirect UUID id

Body

application/json

Redirect payload

locale
string
required
new_slug
string
required
old_slug
string
required
item_id
string
type
enum<string>
Available options:
product,
page,
collection,
category,
product_bundle

Response

Redirect created successfully

data
object
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

success
boolean